0

I've installed glassfish using the intaller downloaded from the home page of the program. When I try to run updatetool I get the following error:

GlassFish Update Tool does not support running in "it_IT.utf" locale.
Attempting to use English locale.
WX import error.  Verify the WX widgets are in the PYTHONPATH.
The following can be reported to GlassFish Update Tool 2.3.5

Traceback (innermost last):
File "/opt/glassfish/updatetool/vendor-packages/updatetool/common/boot.py", line 283
in init_app_locale
import wx
File "wx/__init__.py", line 45, in ?
File "wx/_core.py", line 4, in ?
ImportError: libpangoxft-1.0.so.0: file not found (my translation)

Already installed libgtk2.0-0:i386, libpangoxft-1.0-0 and lsb.

I'm using Ubuntu 13.10 64bit.

What should I do to run the program?

0

I had to install the following 32-bit packages to get it working:

sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 libjpeg62:i386 libpangoxft-1.0-0:i386 libpangox-1.0-0:i386 libsm6:i386 libidn11:i386

There might be others that were already installed on the system, but it should be pretty clear from the error message which need to be installed (remember to qualify the package with ':i386').

  • Thank you, I think I installed all missing libriry, anyway I will try. Found same problem with openSuSE. I resolved there but can't remember how. – holap Mar 3 '14 at 7:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.